import { jsx } from "react/jsx-runtime";
import { Radioactive as Radioactive$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Radioactive = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Radioactive", ...props, children: /* @__PURE__ */ jsx(Radioactive$1, { weight: variant }) });
  }
);
Radioactive.displayName = "Radioactive";
Object.assign(Radioactive, { isGdsIcon: true });
export {
  Radioactive
};
